Bug 13064 - Lack support of CJK Unified Ideographs Extension C/D in charmaps/UTF-8
Summary: Lack support of CJK Unified Ideographs Extension C/D in charmaps/UTF-8
Status: RESOLVED FIXED
Alias: None
Product: glibc
Classification: Unclassified
Component: localedata (show other bugs)
Version: unspecified
: P3 enhancement
Target Milestone: ---
Assignee: Pravin S
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-08-07 08:35 UTC by An Yang
Modified: 2015-02-21 00:22 UTC (History)
2 users (show)

See Also:
Host:
Target:
Build:
Last reconfirmed:
fweimer: security-


Attachments
CJK Unified Ideographs extC extD and misc fixes (2.50 KB, patch)
2011-08-07 10:42 UTC, An Yang
Details | Diff
CJK Unified Ideographs extC extD and misc fixes good (1.61 KB, patch)
2011-08-07 10:44 UTC, An Yang
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description An Yang 2011-08-07 08:35:46 UTC
In glibc/localedata/charmaps/UTF-8, it lack support of CJK Unified Ideographs Extension C/D defined in unicode 6.0/ISO10646:2011.
Comment 1 An Yang 2011-08-07 10:42:41 UTC
Created attachment 5881 [details]
CJK Unified Ideographs extC extD and misc fixes
Comment 2 An Yang 2011-08-07 10:44:14 UTC
Created attachment 5882 [details]
CJK Unified Ideographs extC extD and misc fixes good
Comment 3 An Yang 2011-08-11 10:32:26 UTC
Hi Ulrich Drepper,

Full support CJK Unified Ideographs Extension A/B/C/D... maybe is not a good idea for most of linux users, it's too big, waste too many RAM.

But CJK Unified Ideographs Extension A contents only 6582 characters, is the compulsory part of GB18030:2005, Extension B/C/D is optional.

So just add CJK Unified Ideographs Extension A maybe the best balance, could you give me your advice?
Comment 4 Pravin S 2014-06-26 14:18:58 UTC
I am working on updating UTF-8 file to Unicode 7.0 and this update will fix this issue.

Cheers.
Comment 5 cvs-commit@gcc.gnu.org 2015-02-20 22:36:44 UTC
This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "GNU C Library master sources".

The branch, master has been updated
       via  4a4839c94a4c93ffc0d5b95c69a08b02a57007f2 (commit)
      from  e4a399dc3dbb3228eb39af230ad11bc42a018c93 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=4a4839c94a4c93ffc0d5b95c69a08b02a57007f2

commit 4a4839c94a4c93ffc0d5b95c69a08b02a57007f2
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Feb 20 20:14:59 2015 -0200

    Unicode 7.0.0 update; added generator scripts.
    
    for  localedata/ChangeLog
    
    	[BZ #17588]
    	[BZ #13064]
    	[BZ #14094]
    	[BZ #17998]
    	* unicode-gen/Makefile: New.
    	* unicode-gen/unicode-license.txt: New, from Unicode.
    	* unicode-gen/UnicodeData.txt: New, from Unicode.
    	* unicode-gen/DerivedCoreProperties.txt: New, from Unicode.
    	* unicode-gen/EastAsianWidth.txt: New, from Unicode.
    	* unicode-gen/gen_unicode_ctype.py: New generator, from Mike
    	FABIAN <mfabian@redhat.com>.
    	* unicode-gen/ctype_compatibility.py: New verifier, from
    	Pravin Satpute <psatpute@redhat.com> and Mike FABIAN.
    	* unicode-gen/ctype_compatibility_test_cases.py: New verifier
    	module, from Mike FABIAN.
    	* unicode-gen/utf8_gen.py: New generator, from Pravin Satpute
    	and Mike FABIAN.
    	* unicode-gen/utf8_compatibility.py: New verifier, from Pravin
    	Satpute and Mike FABIAN.
    	* charmaps/UTF-8: Update.
    	* locales/i18n: Update.
    	* gen-unicode-ctype.c: Remove.
    	* tst-ctype-de_DE.ISO-8859-1.in: Adjust, islower now returns
    	true for ordinal indicators.

-----------------------------------------------------------------------

Summary of changes:
 NEWS                                               |   11 +-
 localedata/ChangeLog                               |   27 +
 localedata/charmaps/UTF-8                          |11946 ++++++---
 localedata/gen-unicode-ctype.c                     |  784 -
 localedata/locales/i18n                            | 2652 +-
 localedata/tst-ctype-de_DE.ISO-8859-1.in           |    2 +-
 localedata/unicode-gen/DerivedCoreProperties.txt   |10794 ++++++++
 localedata/unicode-gen/EastAsianWidth.txt          | 2121 ++
 localedata/unicode-gen/Makefile                    |   99 +
 localedata/unicode-gen/UnicodeData.txt             |27268 ++++++++++++++++++++
 localedata/unicode-gen/ctype_compatibility.py      |  546 +
 .../unicode-gen/ctype_compatibility_test_cases.py  |  951 +
 localedata/unicode-gen/gen_unicode_ctype.py        |  751 +
 localedata/unicode-gen/unicode-license.txt         |   50 +
 localedata/unicode-gen/utf8_compatibility.py       |  399 +
 localedata/unicode-gen/utf8_gen.py                 |  286 +
 16 files changed, 53305 insertions(+), 5382 deletions(-)
 delete mode 100644 localedata/gen-unicode-ctype.c
 create mode 100644 localedata/unicode-gen/DerivedCoreProperties.txt
 create mode 100644 localedata/unicode-gen/EastAsianWidth.txt
 create mode 100644 localedata/unicode-gen/Makefile
 create mode 100644 localedata/unicode-gen/UnicodeData.txt
 create mode 100755 localedata/unicode-gen/ctype_compatibility.py
 create mode 100644 localedata/unicode-gen/ctype_compatibility_test_cases.py
 create mode 100755 localedata/unicode-gen/gen_unicode_ctype.py
 create mode 100644 localedata/unicode-gen/unicode-license.txt
 create mode 100755 localedata/unicode-gen/utf8_compatibility.py
 create mode 100755 localedata/unicode-gen/utf8_gen.py
Comment 6 Alexandre Oliva 2015-02-21 00:22:26 UTC
Fixed